org.apache.jmeter.gui

## Class GlobalUndoableEdit

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - org.apache.jmeter.gui.GlobalUndoableEdit

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.undo.UndoableEdit

      public final class GlobalUndoableEdit
      extends javax.swing.undo.AbstractUndoableEdit

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

      `RedoName, UndoName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalUndoableEdit(UndoHistoryItem item, UndoHistoryItem previous, java.util.function.Consumer<UndoHistoryItem> loader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `redo()`
    `void` | `undo()`

    - ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

      `addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalUndoableEdit

          public GlobalUndoableEdit(UndoHistoryItem item,
                                    UndoHistoryItem previous,
                                    java.util.function.Consumer<UndoHistoryItem> loader)

  - ### Method Detail

    - #### undo

          public void undo()
                    throws javax.swing.undo.CannotUndoException

      Specified by:
        `undo` in interface `javax.swing.undo.UndoableEdit`
      Overrides:
        `undo` in class `javax.swing.undo.AbstractUndoableEdit`
      Throws:
        `javax.swing.undo.CannotUndoException`

    - #### redo

          public void redo()
                    throws javax.swing.undo.CannotRedoException

      Specified by:
        `redo` in interface `javax.swing.undo.UndoableEdit`
      Overrides:
        `redo` in class `javax.swing.undo.AbstractUndoableEdit`
      Throws:
        `javax.swing.undo.CannotRedoException`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.